%global momorel 1
%global _bindir /usr/X11R6/bin
%global _sysconfdir /etc/X11
%global _libexecdir /usr/libexec/mlterm
%global pixmapdir  /usr/share/pixmaps

Summary:     Multi Lingual TERMinal emulator for X
Name:	     mlterm
Version:     2.9.2
Release:     %{momorel}m
License:     Modified BSD
Group:	     User Interface/X
URL:         http://mlterm.sourceforge.net/
Source0:     http://osdn.dl.sourceforge.net/sourceforge/mlterm/mlterm-%{version}.tar.gz
NoSource:    0
Patch1:      mlterm-xim.patch
Requires:    XFree86 >= 4.0.2, freetype2 >= 2.0.2, fribidi, gtk+ >= 2
Requires:    fontconfig
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+-devel >= 2
BuildPreReq: XFree86-devel >= 4.0.2
BuildPreReq: freetype2-devel >= 2.0.2
BuildPreReq: fribidi-devel
BuildPreReq: fontconfig-devel
BuildPreReq: expat-devel
BuildPreReq: autoconf
BuildPreReq: uim-devel >= 0.4.4

%{?include_specopt}
%{?!w3mopt: %global w3mopt 1}

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported. 
You can dynamically change various xims.

%prep
%setup -q
find doc -name '*.cvs' | xargs rm -f
%patch1 -p1 -b .xim
rm -rf doc/{en,ja,term}/CVS
autoconf-2.13

%build
DEBUGOPT=""
[ "x${OMOI_KONDARA_DEBUG}" = "x1" ] && DEBUGOPT="--enable-debug"
CFLAGS="%{optflags} $(freetype-config --cflags)"
export CFLAGS
%configure	--with-imagelib=gdk-pixbuf2 \
		--enable-anti-alias \
		--enable-fribidi \
		--enable-uim \
%if %{w3mopt}
		--enable-optimize-redrawing \
%endif
		$DEBUGOPT
%make

%install
rm -rf %{buildroot}
%makeinstall

# regular icons
mkdir -p %{buildroot}%{pixmapdir}
install -m 644 doc/icon/mlterm* %{buildroot}%{pixmapdir}

# icons for fvwm, gnome, gnome2, kde and twm
mkdir -p %{buildroot}%{pixmapdir}/mlterm
rm -rf contrib/icon/CVS
### distributing this icon seems to require mail to marco@windowmaker.org
rm -f  contrib/icon/mlterm-icon-wmaker.png
install -c -D -m 644 contrib/icon/* %{buildroot}%{pixmapdir}/mlterm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja,term}
%{_bindir}/mlterm
%{_bindir}/mlcc
%{_bindir}/mlclient
%{_libdir}/libkik.*
%{_libdir}/libmkf.*
%{_libdir}/mlterm/
%{_libexecdir}/
%{_sysconfdir}/mlterm/
%{_mandir}/man1/mlterm.1*
%{_mandir}/man1/mlclient.1*
%{pixmapdir}/mlterm*
%{_datadir}/locale/*/*/*

%changelog
* Sat Mar 05 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9.2-1m)
- update to 2.9.2

* Sat Feb  5 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.9.0-3m)
- enable x86_64.

* Tue Nov 16 2004 TAKAHASHI Tamotsu <tamo>
- (2.9.0-2m)
- update to the current CVS version (minor bugfixes)

* Thu Nov  4 2004 TAKAHASHI Tamotsu <tamo>
- (2.9.0-1m)
- update
- add REMOVE.PLEASE to avoid requring old libkik
- stop overwriting __libtoolize
- enable-optimize-redrawing by default
- enable-uim
 - BuildPreReq: uim-devel >= 0.4.4
  (for uim_get_default_im_name)
- remove viewsfml

* Fri May 07 2004 TAKAHASHI Tamotsu <tamo>
- (2.8.0-5m)
- today's CVS version (I'm sure this is the most stable ever)
- add BuildPreReq: expat-devel, autoconf
- enable optimize-redrawing if w3mopt is 1 (default: 0)
- add "if (d == NULL) return 1;" to xim patch
 [Momonga-devel.ja:02517]

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (2.8.0-4m)
- revised spec for enabling rpm 4.2.

* Tue Jan 20 2004 TAKAHASHI Tamotsu <tamo>
- (2.8.0-3m)
- fixed: "mlclient -e w3m -v" was equivalent to "mlclient -v"

* Mon Nov 03 2003 TAKAHASHI Tamotsu <tamo>
- (2.8.0-1m)
- this version contains many bug fixes and optimization for w3m-img
- source0 seems not on telia. use umn
- add locale data
- add viewsfml as doc (if you want to install it, configure
 "--with-tools=mlclient,mlconfig,viewsfml,mlterm-menu,mlcc")
- use freetype-config
- Req: fontconfig
- global momorel
- use global instead of define
- note: w3mmlconfig is not installed by this spec
- note2: wrong fonts in ".mlterm/font" file
 can cause strange behaviour.

* Sat Jun 14 2003 TAKAHASHI Tamotsu <tamo>
- (2.7.0-1m)
- this version fixes a possibility of security weakness

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.6.3-3m)
- rebuild against for XFree86-4.3.0

* Sun Jan 26 2003 TAKAHASHI Tamotsu
- (2.6.3-2m)
- cvs 20030126
- mlconfig bug and 16bit-depth transparent bug are fixed

* Wed Jan 15 2003 TAKAHASHI Tamotsu
- (2.6.3-1m)

* Wed Oct 09 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (2.6.2-1m)
- minor bugfixes

* Fri Sep 13 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (2.6.1-1m)
- minor bugfixes

* Mon Sep 09 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (2.6.0-1m)
- a few bugfixes ported from cvs
- mlterm-icon-wmaker.png removed (read README in %{pixmapdir}/mlterm)
- more macro used
- "--imagelib=gdk-pixbuf2" used instead of "--enable-gdk-pixbuf"
- doc/term added as doc (i don't know anything about terminfo)

* Fri Sep 06 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (2.5.0-4m)
- copy_lines bug fixed (modifying mlterm-cvs.patch)

* Wed Sep 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (2.5.0-3m)
- cvs 20020904 (icons added [as source1] -> /usr/share/pixmap/mlterm/* )
- no longer imlib, but gdk-pixbuf used
- very close to 2.6.0

* Mon Jun 17 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (2.5.0-2k)
- just a verup
- note: maxpty is obsolete

* Wed May 22 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (2.4.0-6k)
- enabled fribidi

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.0-2k)
- rebuild against imlib 1.9.14-4k (implies libpng >= 1.2.2)

* Wed Apr 17 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (2.4.0-2k)
- while OmoiKondara -G, add some option
- sumaso m(__)m

* Fri Mar 22 2002 Toru Hoshina <t@kondara.org>
- (2.3.1-2k)
- based on 2.3.1 official release.
- add famao's xim-kondara patch.

* Sat Feb 16 2002 Hiroyuki Ikezoe <zoe@kasumi.sakura.ne.jp>
- CVS(20020216) version

* Tue Jan 29 2002 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.2.0

* Wed Jan 2 2002 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.1.2

* Sun Dec 30 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.1.1

* Sat Dec 29 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.1.0

* Thu Nov 29 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.0.0

* Mon Nov 26 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.47

* Sat Nov 24 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.46

* Fri Nov 23 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.45

* Sat Nov 17 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.44

* Wed Nov 14 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.43

* Tue Nov 13 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.42pl6
